/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.ExecStatusStore', {
  extend: 'Ext.data.Store',

  requires: [
    'QDesk.enums.scheduler.ExecStatus',
    'QDesk.util.EnumUtils'
  ],

  storeId: 'enums.ExecStatusStore',

  fields: ['value', 'valueLabel'],

  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data: [
        {
          value: QDesk.enums.scheduler.ExecStatus.SUCCESS,
          valueLabel: QDesk.util.EnumUtils.getExecStatusName( QDesk.enums.scheduler.ExecStatus.SUCCESS )
        },
        {
          value: QDesk.enums.scheduler.ExecStatus.VETO,
          valueLabel: QDesk.util.EnumUtils.getExecStatusName( QDesk.enums.scheduler.ExecStatus.VETO )
        },
        {
          value: QDesk.enums.scheduler.ExecStatus.ERROR,
          valueLabel: QDesk.util.EnumUtils.getExecStatusName( QDesk.enums.scheduler.ExecStatus.ERROR )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );