/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.MessageChannelStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.message.MessageChannel',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.MessageChannelStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        /* Collaboration message channels */
        {
          value : QDesk.enums.message.MessageChannel.COLLABORATION_HIPCHAT,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.COLLABORATION_HIPCHAT )
        },
        {
          value : QDesk.enums.message.MessageChannel.COLLABORATION_SLACK,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.COLLABORATION_SLACK )
        },


        /* Email message channel */
        {
          value : QDesk.enums.message.MessageChannel.EMAIL,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.EMAIL )
        },


        /* IM message channels */
        {
          value : QDesk.enums.message.MessageChannel.IM_AIM,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_AIM )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_GTALK,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_GTALK )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_ICQ,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_ICQ )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_XMPP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_XMPP )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_YAHOO,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_YAHOO )
        },


        /* SMS message channels */
        {
          value : QDesk.enums.message.MessageChannel.SMS_CLICKATELL_CENTRAL,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SMS_CLICKATELL_CENTRAL )
        },
        {
          value : QDesk.enums.message.MessageChannel.SMS_CLICKATELL_PLATFORM,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SMS_CLICKATELL_PLATFORM )
        },
        {
          value : QDesk.enums.message.MessageChannel.SMS_CLOCKWORK,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SMS_CLOCKWORK )
        },
        {
          value : QDesk.enums.message.MessageChannel.SMS_NEXMO,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SMS_NEXMO )
        },
        {
          value : QDesk.enums.message.MessageChannel.SMS_SMSGLOBAL,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SMS_SMSGLOBAL )
        },
        {
          value : QDesk.enums.message.MessageChannel.SMS_TWILIO,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SMS_TWILIO )
        },


        /* SNMP message channels */
        {
          value : QDesk.enums.message.MessageChannel.SNMPV1_TRAP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SNMPV1_TRAP )
        },
        {
          value : QDesk.enums.message.MessageChannel.SNMPV2C_TRAP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SNMPV2C_TRAP )
        },
        {
          value : QDesk.enums.message.MessageChannel.SNMPV3_TRAP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SNMPV3_TRAP )
        },


        /* Web Service message channel */
        {
          value : QDesk.enums.message.MessageChannel.WEB_SERVICE,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.WEB_SERVICE )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );