/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Various QuartzDesk JVM Agent related utility methods.
 */
Ext.define( 'QDesk.util.AgentUtils', {
  requires : [
    'QDesk.Log'
  ],

  singleton : true,

  /**
   * Returns the specified JVM Agent property value, null if not defined.
   * @param jvmAgentInfo a JVM Agent Info object.
   * @param propertyKey a config property key.
   * @return the specified JVM Agent property value, or null.
   */
  getJvmAgentConfigProperty : function ( jvmAgentInfo, propertyKey )
  {
    var configMap = new Ext.util.HashMap();
    Ext.each( jvmAgentInfo.configuration, function ( entry )
    {
      configMap.add( entry.name, entry.value );
    } );

    return configMap.get( propertyKey );
  }
} );
