/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.Viewport', {
  extend : 'Ext.container.Viewport',

  requires : [
    'QDesk.view.main.MainTabPanel',
    'QDesk.view.navigation.NavigationPanel',
    'QDesk.view.top.TopContainer'
  ],

  border : 1,

  layout : {
    type : 'border'
  },

  items : [
    {
      xtype : 'TopContainer',
      itemId : 'topContainer',
      region : 'north',
      height : 40,
      maxHeight : 40,
      minHeight : 40
    },
    {
      xtype : 'NavigationPanel',
      itemId : 'navigationPanel',
      region : 'west',
      split : true,
      collapsible : true,
      width : 230,
      minHeight : 100
    },
    {
      xtype : 'MainTabPanel',
      itemId : 'mainTabPanel',
      region : 'center'
    }
  ],

  initComponent : function ()
  {
    var me = this;
    me.callParent();

    /*
     * Remove the "Loading..." message box before the viewport gets shown.
     */
    me.on( 'afterrender', function ()
    {
      var loadingMsgBox = Ext.get( 'loadingMsgBox' );
      if ( loadingMsgBox )
      {
        loadingMsgBox.destroy();
      }
    } );
  }
} );