/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Simple non-closable tab with static text that is shown in the main tab panel when the user
 * opens the the GUI.
 */
Ext.define( 'QDesk.view.main.WelcomeTab', {
  extend : 'Ext.panel.Panel',

  requires : [],

  alias : 'widget.WelcomeTab',

  cls : 'welcomeTab',
  bodyCls : 'welcomeTabBody',

  layout : 'ux.center',

  closable : false,

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'panel',
          border : false,
          width : 620,
          layout : {
            type : 'vbox',
            align : 'stretchmax',
            pack : 'center'
          },
          items : [
            {
              xtype : 'panel',
              border : false,
              cls : 'welcomeTabTextPanel',
              html : QDesk.Msg.get( 'QDesk.view.main.WelcomeTab.text' )
            }
          ]
        }
      ]
    } );

    me.callParent( [ config ] );
  },


  initComponent : function ()
  {
    var me = this;
    me.on( 'render', function ()
    {
      // hide the tab (header) of the Welcome tab
      me.up( '#mainTabPanel' ).down( 'tabbar' ).down( 'tab' ).getEl().setStyle( 'display', 'none' )
    } );

    me.callParent();
  }
} );
