/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.JSScriptingObjectsForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg',
    'QDesk.view.base.BaseFormPanel',
    'QDesk.view.main.scheduler.common.JSScriptingDataTypesPanel',
    'QDesk.view.main.scheduler.common.JSScriptingObjectsPanel'
  ],

  alias : 'widget.JSScriptingObjectsForm',

  fieldDefaults : {
    labelWidth : 80
  },

  /* Override the default 10px body padding. We want 0 body padding for this particular form. */
  bodyPadding : 0,

  layout : {
    type : 'vbox',
    align : 'stretch'
  },

  qdesk : {
    /*
     * Scheduler type (see QDesk.enums.scheduler.SchedulerType).
     */
    schedulerType : undefined
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerType )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerType' );

    Ext.apply( config, {
          items : [
            {
              xtype : 'tabpanel',
              itemId : 'jsScriptingObjectsTabPanel',
              activeTab : 0,
              border : false,
              flex : 1,
              defaults : {
                layout : {
                  type : 'vbox',
                  align : 'stretch'
                }
              },

              items : [
                {
                  xtype : 'panel',
                  itemId : 'objectsTab',
                  title : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.JSScriptingObjectsWindow.titleObjectsTab' ),
                  border : false,
                  closable : false,
                  items : [
                    {
                      xtype : 'JSScriptingObjectsPanel',
                      itemId : 'objectsPanel',
                      flex : 1,
                      qdesk : config.qdesk
                    }
                  ]
                },
                {
                  xtype : 'panel',
                  itemId : 'dataTypesTab',
                  title : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.JSScriptingObjectsWindow.titleDataTypesTab' ),
                  border : false,
                  closable : false,
                  items : [
                    {
                      xtype : 'JSScriptingDataTypesPanel',
                      itemId : 'dataTypesPanel',
                      flex : 1,
                      qdesk : config.qdesk
                    }
                  ]
                }
              ]
            }
          ],

          buttons : [
            {
              itemId : 'closeButton',
              text : QDesk.Msg.get( 'QDesk.buttonLabelClose' )
            }
          ]
        }
    );

    me.callParent( [ config ] );
  }
} );
