/*
 * Copyright (c) 2013-2017 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.top.TopContainer', {
  extend : 'Ext.container.Container',

  requires : [
    'QDesk.view.widget.WLocaleCombo',
    'QDesk.view.top.LicenseInfoPanel'
  ],

  alias : 'widget.TopContainer',

  cls : 'topContainer',

  layout : {
    type : 'border'
  },

  defaults : {
    border : false,
    bodyStyle : 'background: transparent;'
  },

  items : [
    {
      xtype : 'panel',
      region : 'west',
      bodyStyle : 'background: transparent;',

      layout : {
        type : 'hbox',
        pack : 'end',
        align : 'middle'
      },

      defaults : {
        border : false,
        bodyStyle : 'background: transparent;'
      },

      items : [
        {
          xtype : 'panel',

          layout : {
            type : 'table',
            columns : 2
          },

          defaults : {
            border : false,
            bodyStyle : 'background: transparent;'
            //style : 'border: 1px solid red'
          },

          items : [
            {
              xtype : 'panel',
              itemId : 'productLogo',
              cls : 'productLogo',
              width : 200,
              minWidth : 200,
              height : 40
            },
            {
              xtype : 'panel',
              itemId : 'customizableTopLeftLogo',
              cls : 'customizableTopLeftLogo',
              width : 300,
              minWidth : 300,
              height : 40
            }
          ]
        }
      ]
    },


    {
      xtype : 'panel',
      region : 'center',

      layout : 'ux.center',

      defaults : {
        border : false,
        bodyStyle : 'background: transparent;'
        //style : 'border: 1px solid red'
      },

      items : [
        {
          xtype : 'panel',
          itemId : 'customizableTopCenterLogo',
          cls : 'customizableTopCenterLogo',
          width : 300,
          minWidth : 300,
          height : 40
        }
      ]
    },


    {
      xtype : 'panel',
      region : 'east',

      layout : {
        type : 'hbox',
        pack : 'end',
        align : 'middle'
      },

      defaults : {
        border : false,
        bodyStyle : 'background: transparent;'
        //style : 'border: 1px solid red'
      },

      items : [
        {
          xtype : 'panel',

          layout : {
            type : 'table',
            columns : 2
          },

          defaults : {
            border : false,
            bodyStyle : 'background: transparent;'
            //style : 'border: 1px solid red'
          },

          items : [
            // {
            //   xtype : 'WLocaleCombo',
            //   itemId : 'switchLocaleCombo',
            //   hidden : true,  // hide locale selection combo (currently we only support the English locale anyway)
            //   width : 100,
            //   margin : '0 10 0 0'
            // },

            {
              xtype : 'panel',
              itemId : 'customizableTopRightLogo',
              cls : 'customizableTopRightLogo',
              width : 300,
              minWidth : 300,
              height : 40
            },
            {
              xtype : 'LicenseInfoPanel',
              itemId : 'licenseInfoPanel',
              cls : 'licenseInfoPanel',
              height : 40
            }
          ]
        }
      ]
    }
  ],


  initComponent : function ()
  {
    var me = this;

    me.on( 'resize', function ( container, width, height )
    {
      me._maybeHideLogos( width );
    }, me );

    me.on( 'afterrender', function ( container )
    {
      me._maybeHideLogos( me.getEl().getWidth( false ) );
    }, me );

    me.callParent();
  },


  _maybeHideLogos : function ( containerWidth )
  {
    var me = this;

    var logoPanel = me.down( '#productLogo' );
    var customizableTopLeftLogoPanel = me.down( '#customizableTopLeftLogo' );
    var customizableTopCenterLogoPanel = me.down( '#customizableTopCenterLogo' );
    var customizableTopRightLogoPanel = me.down( '#customizableTopRightLogo' );

    if ( containerWidth < 1480 )
      customizableTopRightLogoPanel.hide();

    if ( containerWidth < 1180 )
      customizableTopCenterLogoPanel.hide();

    if ( containerWidth < 860 )
      customizableTopLeftLogoPanel.hide();

    if ( containerWidth < 525 )
      logoPanel.hide();

    if ( containerWidth >= 1480 )
      customizableTopRightLogoPanel.show();

    if ( containerWidth >= 1180 )
      customizableTopCenterLogoPanel.show();

    if ( containerWidth >= 860 )
      customizableTopLeftLogoPanel.show();

    if ( containerWidth >= 525 )
      logoPanel.show();
  }
} );
